/****************************************
 * TEST 1
 */
/*
 Ti.UI.setBackgroundColor('#fff');

var win = Ti.UI.createWindow({  
    backgroundColor:'#fff'
});

var mountainView = Titanium.Map.createAnnotation({
	latitude:37.390749,
	longitude:-122.081651,
	title:"Appcelerator Headquarters",
	subtitle:'Mountain View, CA',
	pincolor: Titanium.Map.ANNOTATION_RED,
	animate:true,
	leftButton: '/images/appcelerator_small.png',
	myid:1 // CUSTOM ATTRIBUTE THAT IS PASSED INTO EVENT OBJECTS
});

var apple = Titanium.Map.createAnnotation({
	latitude:37.33168900,
	longitude:-122.03073100,
	title:"Steve Jobs",
	subtitle:'Cupertino, CA',
	pincolor:Titanium.Map.ANNOTATION_GREEN,
	animate:true,
	rightButton: '/images/apple_logo.jpg',
	myid:2 // CUSTOM ATTRIBUTE THAT IS PASSED INTO EVENT OBJECTS
});

var atlantaParams = {
		latitude:33.74511,
		longitude:-84.38993,
		title:"Atlanta, GA",
		subtitle:'Atlanta Braves Stadium\nfoo',
		animate:true,
		leftButton:'/images/atlanta.jpg',
		rightButton: '/images/apple_logo.jpg',
		myid:3 // CUSTOM ATTRIBUTE THAT IS PASSED INTO EVENT OBJECTS
	};

atlantaParams.pincolor = Titanium.Map.ANNOTATION_PURPLE;
var atlanta = Titanium.Map.createAnnotation(atlantaParams);

//
// PRE-DEFINED REGIONS
//
var regionAtlanta = {latitude:33.74511,longitude:-84.38993,animate:true,latitudeDelta:0.04, longitudeDelta:0.04};
var regionSV = {latitude:37.337681,longitude:-122.038193,animate:true,latitudeDelta:0.04, longitudeDelta:0.04};

//
// CREATE MAP VIEW
//
var mapview = Titanium.Map.createView({
	mapType: Titanium.Map.STANDARD_TYPE,
	region:{latitude:33.74511, longitude:-84.38993, latitudeDelta:0.5, longitudeDelta:0.5},
	animate:true,
	regionFit:true,
	userLocation:true,
	annotations:[atlanta,apple]
});

mapview.addAnnotation(atlanta);
mapview.selectAnnotation(atlanta);
win.add(mapview);

//
// NAVBAR BUTTONS
//

var removeAll = null;
var atl = null;
var sv = null;
var sat = null;
var std = null;
var hyb = null;
var zoomin = null;
var zoomout = null;
		
var wireClickHandlers = function() {
	removeAll.addEventListener('click', function() {
		mapview.removeAllAnnotations();
	});

	atl.addEventListener('click', function() {
		// set location to atlanta
		mapview.setLocation(regionAtlanta);
	
		// activate annotation
		mapview.selectAnnotation(mapview.annotations[0].title,true);
		Ti.API.error("CLICKED ATL");
	});
	
	sv.addEventListener('click', function() {
		Ti.API.info('IN SV CHANGE');
		// set location to sv
		mapview.setLocation(regionSV);
	
		// activate annotation
		mapview.selectAnnotation(mapview.annotations[1].title,true);
	});
	
	sat.addEventListener('click',function() {
		// set map type to satellite
		mapview.setMapType(Titanium.Map.SATELLITE_TYPE);
	});
	
	std.addEventListener('click',function() {
		// set map type to standard
		mapview.setMapType(Titanium.Map.STANDARD_TYPE);
	});
	
	hyb.addEventListener('click',function() {
		// set map type to hybrid
		mapview.setMapType(Titanium.Map.HYBRID_TYPE);
	});
	
	zoomin.addEventListener('click',function() {
		mapview.zoom(1);
	});
	
	zoomout.addEventListener('click',function() {
		mapview.zoom(-1);
	});
};

removeAll = Titanium.UI.createButton({
	title:'Remove All'
});
win.rightNavButton = removeAll;

//
// TOOLBAR BUTTONS
//

// button to change to ATL
atl = Titanium.UI.createButton({
	title:'ATL'
});
// activate annotation
mapview.selectAnnotation(mapview.annotations[0].title,true);

// button to change to SV	
sv = Titanium.UI.createButton({
	title:'SV'
});
mapview.addEventListener('complete', function()
{
	Ti.API.info("map has completed loaded region");
});

// button to change map type to SAT
sat = Titanium.UI.createButton({
	title:'Sat'
});
// button to change map type to STD
std = Titanium.UI.createButton({
	title:'Std'
});
// button to change map type to HYBRID
hyb = Titanium.UI.createButton({
	title:'Hyb'
});
// button to zoom-in
zoomin = Titanium.UI.createButton({
	title:'+'
});
// button to zoom-out
zoomout = Titanium.UI.createButton({
	title:'-'
});

//wireClickHandlers();

//win.setToolbar([flexSpace,std,flexSpace,hyb,flexSpace,sat,flexSpace,atl,flexSpace,sv,flexSpace,zoomin,flexSpace,zoomout,flexSpace]);


//
// EVENT LISTENERS
//

// region change event listener
mapview.addEventListener('regionChanged',function(evt)
{
	Titanium.API.info('maps region has updated to '+evt.longitude+','+evt.latitude+','+evt.latitudeDelta+','+evt.longitudeDelta);
    Titanium.API.info(mapview.latitudeDelta+','+mapview.longitudeDelta);
    if(evt.latitudeDelta === mapview.latitudeDelta)
    {
        Titanium.API.info('latitudeDelta property matches event values');
    }
    if(evt.longitudeDelta === mapview.longitudeDelta)
    {
        Titanium.API.info('longitudeDelta property matches event values');
    }
});

var annotationAdded = false;

// map view click event listener
mapview.addEventListener('click',function(evt)
{
	// map event properties
	var annotation = evt.annotation;
	var title = evt.title;
	var clickSource = evt.clicksource;

	// custom annotation attribute
	var myid = (evt.annotation)?evt.annotation.myid:-1;

	Ti.API.info('mapview click clicksource = ' + clickSource);
	// use custom event attribute to determine if atlanta annotation was clicked
	if (myid == 3 && evt.clicksource == 'rightButton')
	{
		//  change the annotation on the fly
		evt.annotation.rightView = Titanium.UI.createView({width:20,height:20,backgroundColor:'red'});
		evt.annotation.leftView = Titanium.UI.createView({width:20,height:20,backgroundColor:'#336699'});
		evt.annotation.title = "Atlanta?";
		evt.annotation.pincolor = Titanium.Map.ANNOTATION_GREEN;
		evt.annotation.subtitle = 'Appcelerator used to be near here';
		evt.annotation.leftButton = 'images/appcelerator_small.png';

	}
	if (myid == 3 && evt.clicksource == 'leftButton')
	{
		evt.annotation.image = 'images/appcelerator_small.png';

	}
	if (myid == 2)
	{
		if(annotationAdded === false)
		{
			mapview.addAnnotation(mountainView);
			annotationAdded=true;
		}
		else
		{
			mapview.removeAnnotation(mountainView);
			annotationAdded=false;
		}
	}
});

// annotation click event listener (same as above except only fires for a given annotation)
atlanta.addEventListener('click', function(evt)
{
	// get event properties
	var annotation = evt.source;
	var clicksource = evt.clicksource;
	Ti.API.info('atlanta annotation click clicksource = ' + clicksource);
});

apple.addEventListener('click', function(evt)
{

	// get event properties
	var annotation = evt.source;
	var clicksource = evt.clicksource;
	Ti.API.info('apple annotation click clicksource = ' + clicksource);


});

win.open();
*/


/****************************************
 * TEST 2
 */
/**/
Ti.UI.setBackgroundColor('#fff');

var win = Ti.UI.createWindow({  
    backgroundColor:'#fff'
});

var annotation = Titanium.Map.createAnnotation({
	latitude:42.334537,
	longitude:-71.170101,
	title:"Boston College",
	subtitle:'Newton Campus, Chestnut Hill, MA',
	animate:true,
	leftButton:'/images/atlanta.jpg',
	image:"/images/boston_college.png"
});

var boston = {latitude:42.334537,longitude:-71.170101,latitudeDelta:0.010, longitudeDelta:0.018};

//
// CREATE MAP VIEW
//
var mapview = Titanium.Map.createView({
	mapType: Titanium.Map.STANDARD_TYPE,
	region: boston,
	animate:true,
	regionFit:true,
	userLocation:true,
	annotations:[annotation]
});

// read in our routes from a comma-separated file
var f = Ti.Filesystem.getFile(Ti.Filesystem.resourcesDirectory,'route.csv');
var csv = f.read();
var points = [];
var lines = csv.toString().split("\n");
for (var c=0;c<lines.length;c++)
{
	var line = lines[c];
	var latlong = line.split(",");
	if (latlong.length > 1)
	{
		var lat = latlong[0];
		var lon = latlong[1];
		var entry = {latitude:lat,longitude:lon};
		points[c]=entry;
	}
}

// route object
var route = {
	name:"boston",
	points:points,
	color:"red",
	width:4
};

// add a route
mapview.addRoute(route);

win.add(mapview);

// when you click the logo, remove the route
annotation.addEventListener('click',function()
{
	mapview.removeRoute(route);
});

// map view click event listener
mapview.addEventListener('click',function(evt)
{
	var clickSource = evt.clicksource;
	Ti.API.info('mapview click clicksource = ' + clickSource);
});

win.open();
/**/
